package com.ajb.car.quotation.service;

import java.util.List;
import org.springframework.data.domain.Sort;

import com.ajb.car.entity.quotation.AgPoQuotationVehicle;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

public interface AgPoQuotationVehicleService {
	AgPoQuotationVehicle save(AgPoQuotationVehicle agpoquotationvehicle);
	Boolean delete (Long id);
	AgPoQuotationVehicle update(AgPoQuotationVehicle agpoquotationvehicle);
	AgPoQuotationVehicle findById(Long id);
	Page<AgPoQuotationVehicle> findByObjPageable(AgPoQuotationVehicle agpoquotationvehicle,Pageable pageable);
	List<AgPoQuotationVehicle> findByObjSortable(AgPoQuotationVehicle agpoquotationvehicle,Sort sort);
}